<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from regressprint.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="regressprint" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>regressprint</refname>
    <refpurpose>Print linear regression</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   regressprint(fullstats)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>fullstats :</term>
      <listitem><para> a struct, the statistics, see below for details.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This function prints the statistics of a linear model with
n independent variables x1, x2, ..., xn
which best fit the data in the least squares sense.
The <literal>fullstats</literal> data structure is the output of the
scidoe_regress or scidoe_multilinreg functions.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Longley.dat contains 1 Response Variable y, 6 Predictor Variables x
// and 16 Observations.
// Source : [4]
[data,txt] = getdata(24);
Y=data(:,1);
X=data(:,2:7);
[B,bint,r,rint,stats,fullstats] = regress(Y,[ones(Y),X]);
regressprint(fullstats)

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2012-2016 - Michael Baudin</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>[1] "Introduction to probability and statistics for engineers and scientists.", Third Edition, Sheldon Ross, Elsevier Academic Press, 2004</para>
   <para>[2] http://en.wikipedia.org/wiki/Linear_regression</para>
   <para>[3] Octave's regress, William Poetra Yoga Hadisoeseno</para>
   <para>[4] http://www.itl.nist.gov/div898/strd/lls/data/LINKS/DATA/Longley.dat</para>
</refsection>
</refentry>
